require "spec_helper"

describe Desktop::JournalListsController do
  describe "routing" do

    it "routes to #index" do
      get("/desktop/journal_lists").should route_to("desktop/journal_lists#index")
    end

    it "routes to #new" do
      get("/desktop/journal_lists/new").should route_to("desktop/journal_lists#new")
    end

    it "routes to #show" do
      get("/desktop/journal_lists/1").should route_to("desktop/journal_lists#show", :id => "1")
    end

    it "routes to #edit" do
      get("/desktop/journal_lists/1/edit").should route_to("desktop/journal_lists#edit", :id => "1")
    end

    it "routes to #create" do
      post("/desktop/journal_lists").should route_to("desktop/journal_lists#create")
    end

    it "routes to #update" do
      put("/desktop/journal_lists/1").should route_to("desktop/journal_lists#update", :id => "1")
    end

    it "routes to #destroy" do
      delete("/desktop/journal_lists/1").should route_to("desktop/journal_lists#destroy", :id => "1")
    end

  end
end
